;******************
;* ZMLCase Module *
;*  By Adam Koch  *
;*      Ver 2     *
;*FadeToAJ@aol.com*
;******************
;You can use the source of this program for whatever you
;want as long as you give me credit because I crafted
;this program from scratch and it is my very first Ion
;program that I made.    Enjoy - Adam Koch
;Released: Monday, February 12, 2001
;Bugs: None

;#####Standard Ion Module Header#####
    .nolist
    #include    "ion.inc"
    .list

#ifdef TI83P
        .org    sram-2
        .db     $BB,$6D
#else
        .org    sram
#endif
        ret
        .db     2
        cp   $0D                ;Scancode for ""
        jr    z, Enable         ;Goto label "Enable"
        cp   $0C                ;Scancode for "x"
        jr    z, Disable        ;Goto label "Disable"
        jp   Exit               ;Goto label "exit"
        
;###########Main System Part############        
Enable:                      ;Enable label                          
        set 3,(iy+$24)       ;Set lowercase to on
        jp LCaseOn           ;Jump to LCaseOn label
        jp exit              ;Jump to Exit label
        
Disable:                     ;Disable Label
        res 3,(iy+$24)       ;Set lowercase to off
        jp LCaseOff          ;Jump to LCaseOff label
        jp exit              ;Jump to exit Label
        
LCaseOn:                     ;LCaseOn Label                                        
        bcall(_clrlcdf)      ;Clear home/graph screen            
        bcall(_homeup)       ;Set cursor at 0,0
        ld hl,LCaseOnStr     ;Load LCaseOnStr into hl
        bcall(_puts)         ;Put the text on screen
        bcall(_getkey)       ;Wait for user to press key
        jp exit              ;Jump to exit label.
        
LCaseOff:                    ;LCaseOff label
        bcall(_clrlcdf)      ;Clear home/graph screen
        bcall(_homeup)       ;Set cursor at 0,0
        ld hl,LCaseOffStr    ;Load LCaseOffStr into hl
        bcall(_puts)         ;Put text on the screen
        bcall(_getkey)       ;Wait for user to press key
        jp exit              ;Jump to exit label
        
;#######Text to Display#######
LCaseOnStr:
        .db "Lowercase On!   ",
        .db "By: Adam Koch   ",
        .db "FadeToAJ@aol.com",0
LCaseOffStr:
        .db "Lowercase Off!  ",
        .db "By: Adam Koch   ",
        .db "FadeToAJ@aol.com",0
        
;#######Exit Part#######
Exit:                  ;Exit label
        ei
        ret            ;Return to Ion
.end
end





